diff --git a/lib/gamedata/projection.txt b/lib/gamedata/projection.txt
index 199dba81b1..f242741da3 100644
--- a/lib/gamedata/projection.txt
+++ b/lib/gamedata/projection.txt
@@ -16,6 +16,7 @@
 # damage-cap: max damage
 # msgt: message type
 # obvious: 0/1
+# wake: 0/1
 # color: color
 
 # 'code' is the computer code for this projection used by the game
@@ -51,6 +52,9 @@
 # 'obvious' is set to 1 if the nature of the projection effect is obvious to the
 # player, 0 otherwise
 
+# 'wake' is set to 1 if the projection effect will automatically wake monsters,
+# 0 otherwise
+
 # 'color' is the colour of the projection
 
 code:ACID
@@ -66,6 +70,7 @@ divisor:3
 damage-cap:1600
 msgt:BR_ACID
 obvious:1
+wake:1
 color:Slate
 
 code:ELEC
@@ -81,6 +86,7 @@ divisor:3
 damage-cap:1600
 msgt:BR_ELEC
 obvious:1
+wake:1
 color:Blue
 
 code:FIRE
@@ -96,6 +102,7 @@ divisor:3
 damage-cap:1600
 msgt:BR_FIRE
 obvious:1
+wake:1
 color:Red
 
 code:COLD
@@ -111,6 +118,7 @@ divisor:3
 damage-cap:1600
 msgt:BR_FROST
 obvious:1
+wake:1
 color:White
 
 code:POIS
@@ -126,6 +134,7 @@ divisor:3
 damage-cap:800
 msgt:BR_GAS
 obvious:1
+wake:1
 color:Green
 
 code:LIGHT
@@ -141,6 +150,7 @@ divisor:6
 damage-cap:500
 msgt:BR_LIGHT
 obvious:1
+wake:1
 color:Orange
 
 code:DARK
@@ -156,6 +166,7 @@ divisor:6
 damage-cap:500
 msgt:BR_DARK
 obvious:1
+wake:1
 color:Light Dark
 
 code:SOUND
@@ -171,6 +182,7 @@ divisor:6
 damage-cap:500
 msgt:BR_SOUND
 obvious:1
+wake:1
 color:Yellow
 
 code:SHARD
@@ -186,6 +198,7 @@ divisor:6
 damage-cap:500
 msgt:BR_SHARDS
 obvious:1
+wake:1
 color:Umber
 
 code:NEXUS
@@ -201,6 +214,7 @@ divisor:6
 damage-cap:400
 msgt:BR_NEXUS
 obvious:1
+wake:1
 color:Light Red
 
 code:NETHER
@@ -216,6 +230,7 @@ divisor:6
 damage-cap:600
 msgt:BR_NETHER
 obvious:1
+wake:1
 color:Light Green
 
 code:CHAOS
@@ -231,6 +246,7 @@ divisor:6
 damage-cap:600
 msgt:BR_CHAOS
 obvious:1
+wake:1
 color:Violet
 
 code:DISEN
@@ -246,6 +262,7 @@ divisor:6
 damage-cap:500
 msgt:BR_DISEN
 obvious:1
+wake:1
 color:Violet
 
 code:WATER
@@ -259,6 +276,7 @@ divisor:6
 damage-cap:0
 msgt:GENERIC
 obvious:1
+wake:1
 color:Slate
 
 code:ICE
@@ -274,6 +292,7 @@ divisor:6
 damage-cap:0
 msgt:GENERIC
 obvious:1
+wake:1
 color:White
 
 code:GRAVITY
@@ -287,6 +306,7 @@ divisor:3
 damage-cap:200
 msgt:BR_GRAVITY
 obvious:1
+wake:1
 color:Light Slate
 
 code:INERTIA
@@ -300,6 +320,7 @@ divisor:6
 damage-cap:200
 msgt:BR_INERTIA
 obvious:1
+wake:1
 color:Light Slate
 
 code:FORCE
@@ -313,6 +334,7 @@ divisor:6
 damage-cap:200
 msgt:BR_FORCE
 obvious:1
+wake:1
 color:Umber
 
 code:TIME
@@ -326,6 +348,7 @@ divisor:3
 damage-cap:150
 msgt:BR_TIME
 obvious:1
+wake:1
 color:Light Blue
 
 code:PLASMA
@@ -339,6 +362,7 @@ divisor:6
 damage-cap:150
 msgt:BR_PLASMA
 obvious:1
+wake:1
 color:Red
 
 code:METEOR
@@ -352,6 +376,7 @@ divisor:6
 damage-cap:0
 msgt:GENERIC
 obvious:1
+wake:1
 color:Red
 
 code:MISSILE
@@ -364,6 +389,7 @@ divisor:6
 damage-cap:0
 msgt:GENERIC
 obvious:1
+wake:1
 color:Violet
 
 code:MANA
@@ -377,6 +403,7 @@ divisor:3
 damage-cap:1600
 msgt:BR_ELEMENTS
 obvious:1
+wake:1
 color:Light dark
 
 code:HOLY_ORB
@@ -390,6 +417,7 @@ divisor:6
 damage-cap:0
 msgt:GENERIC
 obvious:1
+wake:1
 color:Light Dark
 
 code:ARROW
@@ -402,6 +430,7 @@ divisor:6
 damage-cap:0
 msgt:GENERIC
 obvious:1
+wake:1
 color:White
 
 code:LIGHT_WEAK
@@ -481,6 +510,7 @@ type:monster
 desc:teleports monsters away
 blind-desc:something
 obvious:1
+wake:1
 color:White
 
 code:TURN_UNDEAD
@@ -509,6 +539,7 @@ type:monster
 desc:causes monsters to flee
 blind-desc:something
 obvious:0
+wake:1
 color:White
 
 code:DISP_UNDEAD
@@ -530,6 +561,7 @@ type:monster
 desc:damages all monsters
 blind-desc:something
 obvious:1
+wake:1
 color:White
 
 code:SLEEP_UNDEAD
@@ -572,6 +604,7 @@ type:monster
 desc:heals monsters
 blind-desc:something
 obvious:1
+wake:1
 color:White
 
 code:MON_SPEED
@@ -579,6 +612,7 @@ type:monster
 desc:hastes monsters
 blind-desc:something
 obvious:1
+wake:1
 color:White
 
 code:MON_SLOW
@@ -586,6 +620,7 @@ type:monster
 desc:attempts to slow monsters
 blind-desc:something
 obvious:1
+wake:1
 color:White
 
 code:MON_CONF
@@ -614,6 +649,7 @@ type:monster
 desc:damages living monsters
 blind-desc:something
 obvious:1
+wake:1
 color:White
 
 code:MON_CRUSH
diff --git a/src/obj-init.c b/src/obj-init.c
index 21109beff8..c0ce7722ef 100644
--- a/src/obj-init.c
+++ b/src/obj-init.c
@@ -342,6 +342,16 @@ static enum parser_error parse_projection_obvious(struct parser *p) {
 	return PARSE_ERROR_NONE;
 }
 
+static enum parser_error parse_projection_wake(struct parser *p) {
+	int wake = parser_getuint(p, "answer");
+	struct projection *projection = parser_priv(p);
+	if (!projection)
+		return PARSE_ERROR_MISSING_RECORD_HEADER;
+
+	projection->wake = (wake == 1) ? true : false;;
+	return PARSE_ERROR_NONE;
+}
+
 static enum parser_error parse_projection_color(struct parser *p) {
 	struct projection *projection = parser_priv(p);
 	const char *color;
@@ -372,6 +382,7 @@ struct parser *init_parse_projection(void) {
 	parser_reg(p, "damage-cap uint cap", parse_projection_damage_cap);
 	parser_reg(p, "msgt sym type", parse_projection_message_type);
 	parser_reg(p, "obvious uint answer", parse_projection_obvious);
+	parser_reg(p, "wake uint answer", parse_projection_wake);
 	parser_reg(p, "color sym color", parse_projection_color);
 	return p;
 }
diff --git a/src/project-mon.c b/src/project-mon.c
index 85c70a2d1a..662ecbfa8f 100644
--- a/src/project-mon.c
+++ b/src/project-mon.c
@@ -396,6 +396,7 @@ static void project_monster_teleport_away(project_monster_handler_context_t *con
 	if (rf_has(context->mon->race->flags, flag)) {
 		context->teleport_distance = context->dam;
 		context->hurt_msg = MON_MSG_DISAPPEAR;
+		monster_wake(context->mon, false, 100);
 	} else {
 		context->skipped = true;
 	}
@@ -420,6 +421,7 @@ static void project_monster_scare(project_monster_handler_context_t *context, in
 
 	if (rf_has(context->mon->race->flags, flag)) {
         context->mon_timed[MON_TMD_FEAR] = adjust_radius(context, context->dam);
+		monster_wake(context->mon, false, 100);
 	} else {
 		context->skipped = true;
 	}
@@ -906,9 +908,6 @@ static void project_monster_handler_MON_POLY(project_monster_handler_context_t *
 /* Heal Monster (use "dam" as amount of healing) */
 static void project_monster_handler_MON_HEAL(project_monster_handler_context_t *context)
 {
-	/* Wake up, become aware */
-	monster_wake(context->mon, false, 100);
-
 	/* Heal */
 	context->mon->hp += context->dam;
 
@@ -1365,6 +1364,10 @@ void project_m(struct source origin, int r, struct loc grid, int dam, int typ,
 	if (monster_handler != NULL)
 		monster_handler(&context);
 
+	/* Wake monster if required */
+	if (projections[typ].wake)
+		monster_wake(mon, false, 100);
+
 	/* Absolutely no effect */
 	if (context.skipped) return;
 
diff --git a/src/project.h b/src/project.h
index cc1a7ee059..d877d1655c 100644
--- a/src/project.h
+++ b/src/project.h
@@ -39,6 +39,7 @@ struct projection {
 	int damage_cap;
 	int msgt;
 	bool obvious;
+	bool wake;
 	int color;
 	struct projection *next;
 };
